| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLContentModel Class Reference

This class defines the abstract interface for all content models. More...

Inheritance diagram for XMLContentModel:

[legend]
Collaboration diagram for XMLContentModel:

[legend]
List of all members.

## Public Methods

virtual int | validateContent (QName **const children, const unsigned int childCount, const unsigned int emptyNamespaceId) const=0
virtual int | validateContentSpecial (QName **const children, const unsigned int childCount, const unsigned int emptyNamespaceId, GrammarResolver *const pGrammarResolver, XMLStringPool *const pStringPool) const=0
virtual void | checkUniqueParticleAttribution (SchemaGrammar *const pGrammar, GrammarResolver *const pGrammarResolver, XMLStringPool *const pStringPool, XMLValidator *const pValidator, unsigned int *const pContentSpecOrgURI)=0
virtual ContentLeafNameTypeVector * | getContentLeafNameTypeVector () const=0
virtual unsigned int | getNextState (const unsigned int currentState, const unsigned int elementIndex) const=0
Destructor
virtual | ~XMLContentModel ()

## Static Public Attributes

const unsigned int | gInvalidTrans
const unsigned int | gEOCFakeId
const unsigned int | gEpsilonFakeId

## Protected Methods

| XMLContentModel ()

## Detailed Description

This class defines the abstract interface for all content models.

All elements have a content model against which (if validating) its content is checked. Each type of validator (DTD, Schema, etc...) can have different types of content models, and even with each type of validator there can be specialized content models. So this simple class provides the abstract API via which all the types of contents models are dealt with generically. Its pretty simple.

## Constructor & Destructor Documentation

virtual XMLContentModel::~XMLContentModel | ( |  | ) | `[virtual]`

XMLContentModel::XMLContentModel | ( |  | ) | `[protected]`

## Member Function Documentation

virtual void XMLContentModel::checkUniqueParticleAttribution | ( | SchemaGrammar *const | pGrammar,
|  | GrammarResolver *const | pGrammarResolver,
|  | XMLStringPool *const | pStringPool,
|  | XMLValidator *const | pValidator,
|  | unsigned int *const | pContentSpecOrgURI
| ) | `[pure virtual]`

virtual ContentLeafNameTypeVector* XMLContentModel::getContentLeafNameTypeVector | ( |  | ) | const`[pure virtual]`

virtual unsigned int XMLContentModel::getNextState | ( | const unsigned int | currentState,
|  | const unsigned int | elementIndex
| ) | const`[pure virtual]`

virtual int XMLContentModel::validateContent | ( | QName **const | children,
|  | const unsigned int | childCount,
|  | const unsigned int | emptyNamespaceId
| ) | const`[pure virtual]`

virtual int XMLContentModel::validateContentSpecial | ( | QName **const | children,
|  | const unsigned int | childCount,
|  | const unsigned int | emptyNamespaceId,
|  | GrammarResolver *const | pGrammarResolver,
|  | XMLStringPool *const | pStringPool
| ) | const`[pure virtual]`

## Member Data Documentation

const unsigned int XMLContentModel::gEOCFakeId`[static]`

const unsigned int XMLContentModel::gEpsilonFakeId`[static]`

const unsigned int XMLContentModel::gInvalidTrans`[static]`

The documentation for this class was generated from the following file:

- XMLContentModel.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.